Package it.ernytech.tdlib

## Class TdApi.MessageInvoice

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageInvoice

Enclosing class:
  TdApi

    public static class TdApi.MessageInvoice
    extends TdApi.MessageContent

A message with an invoice from a bot.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `currency` Currency for the product price.
`java.lang.String` `description` Product description.
`boolean` `isTest` True, if the invoice is a test invoice.
`boolean` `needShippingAddress` True, if the shipping address should be specified.
`TdApi.Photo` `photo` Product photo; may be null.
`long` `receiptMessageId` The identifier of the message with the receipt, after the product has been purchased.
`java.lang.String` `startParameter` Unique invoice bot startParameter.
`java.lang.String` `title` Product title.
`long` `totalAmount` Product total price in the minimal quantity of the currency.

### Constructor Summary

Constructors
`MessageInvoice()` Default constructor.
`MessageInvoice​(java.lang.String title, java.lang.String description, TdApi.Photo photo, java.lang.String currency, long totalAmount, java.lang.String startParameter, boolean isTest, boolean needShippingAddress, long receiptMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### title

    public java.lang.String title

Product title.

#### description

    public java.lang.String description

Product description.

#### photo

    public TdApi.Photo photo

Product photo; may be null.

#### currency

    public java.lang.String currency

Currency for the product price.

#### totalAmount

    public long totalAmount

Product total price in the minimal quantity of the currency.

#### startParameter

    public java.lang.String startParameter

Unique invoice bot startParameter. To share an invoice use the URL https://t.me/{botUsername}?start={startParameter}.

#### isTest

    public boolean isTest

True, if the invoice is a test invoice.

#### needShippingAddress

    public boolean needShippingAddress

True, if the shipping address should be specified.

#### receiptMessageId

    public long receiptMessageId

The identifier of the message with the receipt, after the product has been purchased.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageInvoice

    public MessageInvoice()

Default constructor.

#### MessageInvoice

    public MessageInvoice​(java.lang.String title,
                          java.lang.String description,
                          TdApi.Photo photo,
                          java.lang.String currency,
                          long totalAmount,
                          java.lang.String startParameter,
                          boolean isTest,
                          boolean needShippingAddress,
                          long receiptMessageId)

Constructor for initialization of all fields.

Parameters:
  `title` - Product title.
  `description` - Product description.
  `photo` - Product photo; may be null.
  `currency` - Currency for the product price.
  `totalAmount` - Product total price in the minimal quantity of the currency.
  `startParameter` - Unique invoice bot startParameter. To share an invoice use the URL https://t.me/{botUsername}?start={startParameter}.
  `isTest` - True, if the invoice is a test invoice.
  `needShippingAddress` - True, if the shipping address should be specified.
  `receiptMessageId` - The identifier of the message with the receipt, after the product has been purchased.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR